using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MyOffice.Migrations.Postgres.Migrations
{
    /// <inheritdoc />
    public partial class AccountAccessInvites3 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "AccountId",
                table: "AccountAccessInvites",
                type: "uuid",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"));

            migrationBuilder.CreateIndex(
                name: "IX_AccountAccessInvites_AccountId",
                table: "AccountAccessInvites",
                column: "AccountId");

            migrationBuilder.AddForeignKey(
                name: "FK_AccountAccessInvites_Accounts_AccountId",
                table: "AccountAccessInvites",
                column: "AccountId",
                principalTable: "Accounts",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_AccountAccessInvites_Accounts_AccountId",
                table: "AccountAccessInvites");

            migrationBuilder.DropIndex(
                name: "IX_AccountAccessInvites_AccountId",
                table: "AccountAccessInvites");

            migrationBuilder.DropColumn(
                name: "AccountId",
                table: "AccountAccessInvites");
        }
    }
}
